package edu.whs.spin2018.baoapp.model.spiel;

public class MuldenVeraenderung {

    /**
     * Die Mulde, die veraendert wird.
     */
    private final Mulde mulde;

    /**
     * Die Aktion, die auf der Mulde ausgefuehrt wird.
     */
    private MuldenAktion aktion;

    /**
     * Entspricht einer Veränderung an einer Mulde. Hält eine Mulde und die zugehörige Aktion
     * darauf fest.
     * @param mulde die veraenderte Mulde
     * @param aktion die veraenderung
     */
    public MuldenVeraenderung(Mulde mulde, MuldenAktion aktion) {
        this.aktion = aktion;
        this.mulde = mulde;
    }

    /**
     * Gibt die Mulde die verändert wurde.
     * @return die Mulde
     */
    public Mulde gibMulde() {
        return mulde;
    }

    /**
     * Gibt die Veränderung der Mulde.
     * @return Muldenaktions-Objekt.
     */
    public MuldenAktion gibMuldenAktion() {
        return aktion;
    }

    @Override
    public String toString() {
        String ausgabe = "Mulde:" + this.mulde +", Aktion:" + this.aktion;
        return ausgabe;
    }
}
